<Project Sdk="Microsoft.NET.Sdk.Worker">

    <PropertyGroup>
        <OutputType>Exe</OutputType>
        <TargetFramework>net10.0</TargetFramework>
        <Nullable>enable</Nullable>
        <ImplicitUsings>enable</ImplicitUsings>
    </PropertyGroup>

    <ItemGroup>
        <ProjectReference Include="..\Tiku.Application\Tiku.Application.csproj"/>
        <ProjectReference Include="..\Tiku.Infrastructure\Tiku.Infrastructure.csproj"/>
    </ItemGroup>

    <ItemGroup>
        <InternalsVisibleTo Include="Tiku.UnitTests"/>
    </ItemGroup>

    <ItemGroup>
        <PackageReference Include="Microsoft.Extensions.Hosting"/>
        <PackageReference Include="OpenTelemetry.Exporter.OpenTelemetryProtocol"/>
        <PackageReference Include="OpenTelemetry.Extensions.Hosting"/>
        <PackageReference Include="Serilog.AspNetCore"/>
        <PackageReference Include="Serilog.Settings.Configuration"/>
        <PackageReference Include="Serilog.Sinks.Console"/>
    </ItemGroup>

</Project>
